Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class CommandAPDU

    java.lang.Object
      opencard.core.terminal.APDU
          opencard.core.terminal.CommandAPDU

Direct Known Subclasses:
  ISOCommandAPDU

    public class CommandAPDU

extends APDU

Represents a command APDU that can be modified.

Version:
  $Id: CommandAPDU.java,v 1.1.1.1 1999/10/05 15:34:31 damke Exp $
Author:
  Thomas Schaeck (schaeck@de.ibm.com), Roland Weber (rolweber@de.ibm.com), Mike Wendler (mwendler@de.ibm.com)

Field Summary

Fields inherited from class opencard.core.terminal.APDU
`apdu_buffer, apdu_length`

Constructor Summary
`CommandAPDU(byte[] buffer)` Creates a new re-usable command APDU and initializes it with the given buffer.
`CommandAPDU(byte[] buffer, int length)` Creates a new re-usable command APDU and initializes it with the given buffer.
`CommandAPDU(int size)` Creates a new re-usable command APDU with a given buffer size.

Method Summary

Methods inherited from class opencard.core.terminal.APDU
`append, append, getBuffer, getByte, getBytes, getLength, setByte, setLength, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandAPDU

    public CommandAPDU(byte[] buffer)

  Creates a new re-usable command APDU and initializes it with the given buffer. The internal buffer's length is set to the length of the buffer passed.

  Parameters:
    `buffer` - the byte array to be used for holding the APDU
  See Also:
    `APDU.getLength()`

### CommandAPDU

    public CommandAPDU(byte[] buffer,
                       int length)
                throws java.lang.IndexOutOfBoundsException

  Creates a new re-usable command APDU and initializes it with the given buffer. The buffer is assumed to hold an APDU. The length of the internally buffered APDU is set to `length`.

  Parameters:
    `buffer` - the byte array to be used for holding the APDU
    `length` - the length of the APDU currently in the buffer
  Throws:
    `java.lang.IndexOutOfBoundsException` - `length` exceeds the size of the array `bytes`.
  See Also:
    `APDU.getLength()`

### CommandAPDU

    public CommandAPDU(int size)

  Creates a new re-usable command APDU with a given buffer size. A new buffer with the given size is allocated. The length of the internally buffered APDU is set to 0.

  Parameters:
    `size` - the size of the buffer to create
  See Also:
    `APDU.getLength()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD